<div class="contentRight">

    <div class="contentFull left filler-bottom-end-p">

        <div class="content-holder">
            <h3>{{ 'World.Country.Wars' | translate }}</h3>
            <div class="allWarsView">
                <table class="allwars tableColor smaller">
                    <thead>
                        <tr>
                            <th>{{ 'Military.Battle.Attacker' | translate }}</th>
                            <th></th>
                            <th></th>
                            <th>{{ 'Military.War.BattlesWon' | translate }}</th>
                            <th></th>
                            <th></th>
                            <th>{{ 'Military.Battle.Defender' | translate }}</th>
                            <th>{{ 'Military.War.War.ActiveBattles' | translate }}</th>
                            <th>{{ 'Military.War.ActiveSince' | translate }}</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngIf="wars.length == 0">
                            <td colspan="10">
                                <p>There are no active wars</p>
                            </td>
                        </tr>
                        <tr *ngFor="let war of wars">
                            <td>
                                <a href="{{hostUrl}}/country/{{war.country1.entityId}}">
                                    <img src="~/@vPopulus.Services.Countries.CountryService.GetFlagLocation(" xl", war.Country1Id)">
                                </a>
                            </td>
                            <td>
                                <a href="{{hostUrl}}/country/{{war.country1.entityId}}"><strong>{{war.country1.name}}</strong></a>
                            </td>
                            <td>
                                <strong>@war.Battles.Count(x => x.WinnerId == war.Country1Id)</strong>
                            </td>
                            <td>vs</td>
                            <td>
                                <strong>@war.Battles.Count(x => x.WinnerId == war.Country2Id)</strong>
                            </td>
                            <td><a href="{{hostUrl}}/country/{{war.country2.entityId}}"><strong>{{war.country2.name}}</strong></a></td>
                            <td>
                                <a href="{{hostUrl}}/country/{{war.country2.entityId}}">
                                    <img src="~/@vPopulus.Services.Countries.CountryService.GetFlagLocation(" xl",
                                        war.Country2Id)">
                                </a>
                            </td>

                            <td>@war.Battles.Count(x => x.WinnerId == 0)</td>
                            <td>Day @vPopulus.Services.Helpers.DateTimeHelper.GameDay(war.StartDateTime)</td>
                            <td><a class="large" href="{{hostUrl}}/war/{{war.id}}"> &#9654;</a></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<div class="clear"></div>